curl -X PATCH https://api.wirebox.sh/api/v1/tunnels/support-bot \
-H "Authorization: Bearer $WIREBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"status": "suspended"
}'
from wirebox import Wirebox
with Wirebox() as wirebox:
tunnel = wirebox.tunnels.update("support-bot", status="suspended")
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const tunnel = await wirebox.tunnels.update("support-bot", { status: "suspended" });
{
"id": "tun_01J8DEF456GHI",
"agent_id": "ident_01J8ABC123XYZ",
"agent_handle": "support-bot",
"public_url": "https://support-bot.wirebox.proxy",
"status": "suspended",
"is_connected": false,
"connected_clients": 0,
"last_request_at": "2026-09-16T10:30:00Z",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-16T11:00:00Z"
}
Network Tunnels
Update Network Tunnel
Update status and settings for an agent’s network tunnel.
PATCH
/
api
/
v1
/
tunnels
/
{handle}
curl -X PATCH https://api.wirebox.sh/api/v1/tunnels/support-bot \
-H "Authorization: Bearer $WIREBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"status": "suspended"
}'
from wirebox import Wirebox
with Wirebox() as wirebox:
tunnel = wirebox.tunnels.update("support-bot", status="suspended")
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const tunnel = await wirebox.tunnels.update("support-bot", { status: "suspended" });
{
"id": "tun_01J8DEF456GHI",
"agent_id": "ident_01J8ABC123XYZ",
"agent_handle": "support-bot",
"public_url": "https://support-bot.wirebox.proxy",
"status": "suspended",
"is_connected": false,
"connected_clients": 0,
"last_request_at": "2026-09-16T10:30:00Z",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-16T11:00:00Z"
}
Path Parameters
string
required
The agent handle or system tunnel ID (e.g.
support-bot).Request Body
string
New tunnel status. Allowed values:
active, suspended, disabled.curl -X PATCH https://api.wirebox.sh/api/v1/tunnels/support-bot \
-H "Authorization: Bearer $WIREBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"status": "suspended"
}'
from wirebox import Wirebox
with Wirebox() as wirebox:
tunnel = wirebox.tunnels.update("support-bot", status="suspended")
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const tunnel = await wirebox.tunnels.update("support-bot", { status: "suspended" });
{
"id": "tun_01J8DEF456GHI",
"agent_id": "ident_01J8ABC123XYZ",
"agent_handle": "support-bot",
"public_url": "https://support-bot.wirebox.proxy",
"status": "suspended",
"is_connected": false,
"connected_clients": 0,
"last_request_at": "2026-09-16T10:30:00Z",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-16T11:00:00Z"
}